import uuid

from django.http import HttpResponse
from django.template import loader
from django.views.decorators.csrf import csrf_exempt
from django.views.generic import TemplateView

from shopping_app import PropertiesFileReader


# disabling csrf (cross site request forgery)
class CheckoutSimpleResource(TemplateView):
    @csrf_exempt
    def checkout_simple(self, request):
        try:
            if request.method == 'POST':
                customer_account_reference = "FUF01T765H05FHTC0R7HF876H"
                #str(uuid.uuid4())
                amount = request.POST.get('opco-amount')
                fee_amount = request.POST.get('opco-fee')
                context = {
                    "checkoutScriptPath": PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_SCRIPT_PATH],
                    'clientId': PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_CLIENT_ID],
                    'customerAccountReference': customer_account_reference,
                    'opcpAmt': amount,
                    'opcpFee': fee_amount,
                    'customerName': 'user',
                    'customerEmail': 'user@example.com',
                    'customerPhone': '9999999999',
                    'addressLine1': 'Plot 1',
                    'addressLine2': '1551 South Washington Ave',
                    'city': 'Manhattan',
                    'state': 'NY',
                    'country': 'USA',
                    'zipCode1': '20521',
                    'zipCode2': '9000'
                }
                request.session['customerAccountReference'] = customer_account_reference
                request.session['amount'] = amount
                request.session['feeAmount'] = fee_amount

                template = loader.get_template('checkout_iframe.html')
                return HttpResponse(template.render(context, request))
            else:
                template = loader.get_template('404.html')
                return HttpResponse(template.render(None, request))
        except BaseException as e:
            print ('exception ', e)
            template = loader.get_template('error.html')
            return HttpResponse(template.render(None, request))


class CheckoutIFrameResource(TemplateView):
    @csrf_exempt
    def checkout_iframe(self, request):
        try:
            if request.method == 'POST':
                customer_account_reference = "FUF01T765H05FHTC987HF876H"
                #str(uuid.uuid4())
                amount = request.POST.get('opco-amount')
                fee_amount = request.POST.get('opco-fee')
                context = {
                    "checkoutScriptPath": PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_SCRIPT_PATH],
                    'clientId': PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_CLIENT_ID],
                    'customerAccountReference': customer_account_reference,
                    'opcpAmt': amount,
                    'opcpFee':fee_amount,
                    'customerName': 'user',
                    'customerEmail': 'user@example.com',
                    'customerPhone': '9999999999',
                    'addressLine1': 'Plot 1',
                    'addressLine2': '1551 South Washington Ave',
                    'city': 'Manhattan',
                    'state': 'NY',
                    'country': 'USA',
                    'zipCode1': '20521',
                    'zipCode2': '9000'
                }
                request.session['customerAccountReference'] = customer_account_reference
                request.session['amount'] = amount
                request.session['feeAmount'] = fee_amount

                template = loader.get_template('checkout_iframe.html')
                return HttpResponse(template.render(context, request))
            else:
                template = loader.get_template('404.html')
                return HttpResponse(template.render(None, request))
        except BaseException as e:
            print ('exception ', e)
            template = loader.get_template('error.html')
            return HttpResponse(template.render(None, request))
