import uuid

from django.http import HttpResponse
from django.template import loader
from django.views.decorators.csrf import csrf_exempt
from django.views.generic import TemplateView

from shopping_app import PropertiesFileReader

# disabling csrf (cross site request forgery)
class EditFundingAccount(TemplateView):
    @csrf_exempt
    def get_edit_funding(self, request):
        try:
            if request.method == 'GET':
                context = {
                    "checkoutScriptPath": PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_SCRIPT_PATH],
                    'clientId': PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_CLIENT_ID],
                    'customerName': 'user',
                    'customerEmail': 'user@example.com',
                    'customerPhone': '9999999999',
                    'addressLine1': 'Plot 1',
                    'addressLine2': '1551 South Washington Ave',
                    'city': 'Manhattan',
                    'state': 'NY',
                    'country': 'USA',
                    'zipCode1': '20521',
                    'zipCode2': '9000',
                    'idCustomer': '6954012',
                    'idAccount': '8531452'
                }
                template = loader.get_template('edit_funding_account.html')
                return HttpResponse(template.render(context, request))
            else:
                template = loader.get_template('404.html')
                return HttpResponse(template.render(None, request))
        except BaseException as e:
            print('exception ', e)
            template = loader.get_template('error.html')
            return HttpResponse(template.render(None, request))