from django.urls import include, re_path

from shopping_app.resources import index_resource
from .resources import blog_resource
from .resources import cart_resource
from .resources import checkout_resource
from .resources import contact_us_resource
from .resources import funding_accounts_resource
from .resources import login_resource
from .resources import payments_resource
from .resources import productdetailsresource
from .resources import shop_resource
from .resources import token_resource
from .resources import edit_funding_account

urlpatterns = [
    re_path(r'^$', index_resource.IndexResource().get_index, name='home'),  # Notice the URL has been named
    re_path(r'^cart/$', cart_resource.CartSimpleResource.as_view(), name='cart'),
    re_path(r'^checkout$', cart_resource.CartIFrameResource.as_view(), name='checkout'),
    re_path(r'^checkout-simple$', checkout_resource.CheckoutSimpleResource().checkout_simple, name='checkout-simple'),
    re_path(r'^checkout-iframe$', checkout_resource.CheckoutIFrameResource().checkout_iframe, name='checkout-iframe'),
    re_path(r'^post-token$', token_resource.TokenResource().post_token, name='post-token'),
    re_path(r'^add-fund$', funding_accounts_resource.FundingAccountsResource().confirm_add_fund_account, name='add-fund'),
    re_path(r'^update-fund$', funding_accounts_resource.FundingAccountsResource().confirm_update_fund_account, name='update-fund'),
    re_path(r'^edit-funding$', edit_funding_account.EditFundingAccount().get_edit_funding, name='edit-funding'),
    #url(r'^payments/$', payments_resource.PaymentsResource().retrieve_payments, name='payments'),
    #url(r'^payments/(?P<payment_id>[A-Za-z0-9-_]{0,50})/$', payments_resource.PaymentsResource().retrieve_payment_details,
    #    name='retrieve-payments'),
    #url(r'^payments/cancel/(?P<payment_id>[A-Za-z0-9-_]{0,50})/$', payments_resource.PaymentsResource().cancel_payment,
    #    name='cancel-payments'),
    #url(r'^funding-sources/$', funding_accounts_resource.FundingAccountsResource().retrieve_funding_accounts,
    #    name='funding-sources'),
    #url(r'^funding-sources/(?P<funding_account_id>[A-Za-z0-9-_]{0,50})/$',
    #    funding_accounts_resource.FundingAccountsResource().retrieve_funding_account_details,
    #    name='retrieve-funding-source'),
    #url(r'^funding-sources/delete/(?P<funding_account_id>[A-Za-z0-9-_]{0,50})/$',
    #    funding_accounts_resource.FundingAccountsResource().delete_funding_account, name='delete-funding-source'),
    re_path(r'^blog/$', blog_resource.BlogResource.as_view(), name='blog'),
    re_path(r'^login/$', login_resource.LoginResource.as_view(), name='login'),
    re_path(r'^productDetails/$', productdetailsresource.ProductDetailsResource.as_view(), name='productDetails'),
    re_path(r'^shop/$', shop_resource.ShopResource.as_view(), name='shop'),
    re_path(r'^contactUs/$', contact_us_resource.ContactUsResource.as_view(), name='contactUs'),
]
