from __future__ import absolute_import

import json
import os

from .logger_util import LoggerUtil


# python 2 and python 3 compatibility library


# from six.moves.urllib.parse import quote

class PropertiesFileReader(object):
    logger = LoggerUtil.setup_logger(__name__)
    CHECKOUT_CLIENT_ID = "checkoutClientId"
    CHECKOUT_SCRIPT_PATH = "checkoutScriptPath"
    CLIENT_SIG_KEY = "client-sig-key"
    properties = None
    path = os.environ["online_shopping_properties.properties"]
    try:
        with open(path, 'r') as properties_file:
            properties = json.load(properties_file)
    except BaseException as e:
        logger.error("exception occured: {}".format(e))
        raise Exception(
            status=0,
            reason="failed to load properties {}".format(properties_file)
        )

    @classmethod
    def get_property(cls, property_name):
        PropertiesFileReader.logger.info('property_name: {}'.format(property_name))
        return PropertiesFileReader.properties[property_name]
