import uuid

from django.shortcuts import render
from django.views.generic import TemplateView  # Import TemplateView
from checkout import Payment

from shopping_app.utils.properties_file_reader import PropertiesFileReader


# Add the two views we have been talking about  all this time :)
class HomePageView(TemplateView):
    def get(self, request, **kwargs):
        return render(request, 'index.html', context=None)


class AboutPageView(TemplateView):
    def get(self, request, **kwargs):
        integration = request.GET.get('integration', None)
        print ('integration: ', integration)
        if integration is not None and integration != '':
            charge_trace_ref_no = str(uuid.uuid4())
            print('charge_trace_ref_no: ', charge_trace_ref_no)
            context = {
                "checkoutScriptPath": PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_SCRIPT_PATH],
                'clientId': PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_CLIENT_ID],
                'chargeTraceRefNo': charge_trace_ref_no
            }
            amount = "56"
            fee_amount = "0.55"
            request.session['chargeTraceRefNo'] = charge_trace_ref_no
            request.session['amount'] = amount
            request.session['feeAmount'] = fee_amount
            if 'simple' == integration:
                return render(request, 'payment-simple-div.html', context=context)
            elif 'custom' == integration:
                return render(request, 'payment-custom.html', context=context)
            elif 'iframe' == integration:
                print('this is iframe integration')
                return render(request, 'payment-iframe.html', context=context)
        else:
            return render(request, 'index.html', context=None)


class Post_Token(TemplateView):
    def post(self, request, **kwargs):
        token = request.POST.get('token')
        digi_sign = request.POST.get('digiSign')
        ext_cust_id = request.POST.get('ext_cust_id')
        #fee = request.POST.get('feeAmount')
        partner_id = PropertiesFileReader.properties[PropertiesFileReader.CHECKOUT_CLIENT_ID]
        client_sig_key = PropertiesFileReader.properties[PropertiesFileReader.CLIENT_SIG_KEY]
        confirm_charge_response = Payment()
        .with_fee(fee=request.session['feeAmount'])
        .for_partner(partner_id=partner_id, signature_key=client_sig_key)
        .with_token(token_id=token, digi_sign=digi_sign)
        .confirm(charge_amount=request.session['amount'], order_ref_no=request.session['chargeTraceRefNo'])
        print("confirm_charge_response: ", confirm_charge_response)
